Skip to main content
`Ctrl`+`K`

# SVDTRLanczosGetGBidiag

Gets the bidiagonalization choice used in the GSVD TRLanczos solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosGetGBidiag(SVD svd,SVDTRLanczosGBidiag *bidiag)

Not Collective

## Input Parameter

- svd - the singular value solver context

## Output Parameter

- bidiag - the bidiagonalization choice

## See Also

SVD: Singular Value Decomposition, `SVDTRLANCZOS`, `SVDTRLanczosSetGBidiag()`, `SVDTRLanczosGBidiag`

## Level

advanced

## Location

src/svd/impls/trlanczos/trlanczos.c

## Implementations

SVDTRLanczosGetGBidiag_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages